com.hazelcast.config

## Enum CacheEvictionConfig.CacheMaxSizePolicy

- java.lang.Object
- - java.lang.Enum<CacheEvictionConfig.CacheMaxSizePolicy>
  - - com.hazelcast.config.CacheEvictionConfig.CacheMaxSizePolicy

- All Implemented Interfaces:
    Serializable, Comparable<CacheEvictionConfig.CacheMaxSizePolicy>
  Enclosing class:
    CacheEvictionConfig

      public static enum CacheEvictionConfig.CacheMaxSizePolicy
      extends Enum<CacheEvictionConfig.CacheMaxSizePolicy>

  Cache Maximum Size Policy

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENTRY_COUNT` Decide maximum entry count according to node
    `FREE_NATIVE_MEMORY_PERCENTAGE` Decide minimum free native memory percentage to trigger cleanup
    `FREE_NATIVE_MEMORY_SIZE` Decide minimum free native memory size to trigger cleanup
    `USED_NATIVE_MEMORY_PERCENTAGE` Decide maximum size with use native memory percentage
    `USED_NATIVE_MEMORY_SIZE` Decide maximum size with use native memory size

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CacheEvictionConfig.CacheMaxSizePolicy` | `fromMaxSizePolicy(EvictionConfig.MaxSizePolicy maxSizePolicy)`
    `EvictionConfig.MaxSizePolicy` | `toMaxSizePolicy()`
    `static CacheEvictionConfig.CacheMaxSizePolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CacheEvictionConfig.CacheMaxSizePolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENTRY_COUNT

          public static final CacheEvictionConfig.CacheMaxSizePolicy ENTRY_COUNT

      Decide maximum entry count according to node

    - #### USED_NATIVE_MEMORY_SIZE

          public static final CacheEvictionConfig.CacheMaxSizePolicy USED_NATIVE_MEMORY_SIZE

      Decide maximum size with use native memory size

    - #### USED_NATIVE_MEMORY_PERCENTAGE

          public static final CacheEvictionConfig.CacheMaxSizePolicy USED_NATIVE_MEMORY_PERCENTAGE

      Decide maximum size with use native memory percentage

    - #### FREE_NATIVE_MEMORY_SIZE

          public static final CacheEvictionConfig.CacheMaxSizePolicy FREE_NATIVE_MEMORY_SIZE

      Decide minimum free native memory size to trigger cleanup

    - #### FREE_NATIVE_MEMORY_PERCENTAGE

          public static final CacheEvictionConfig.CacheMaxSizePolicy FREE_NATIVE_MEMORY_PERCENTAGE

      Decide minimum free native memory percentage to trigger cleanup

  - ### Method Detail

    - #### values

          public static CacheEvictionConfig.CacheMaxSizePolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CacheEvictionConfig.CacheMaxSizePolicy c : CacheEvictionConfig.CacheMaxSizePolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CacheEvictionConfig.CacheMaxSizePolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toMaxSizePolicy

          public EvictionConfig.MaxSizePolicy toMaxSizePolicy()

    - #### fromMaxSizePolicy

          public static CacheEvictionConfig.CacheMaxSizePolicy fromMaxSizePolicy(EvictionConfig.MaxSizePolicy maxSizePolicy)

Copyright © 2020. All rights reserved.